*** Do-File Regime Flexibility 19.10.2008 ***

*Recoding of Variables - Rejected*
generate soft_law_final= soft_law
recode soft_law_final (0.5=0) (0.75=1)
tab soft_law_final
generate explicit_final=explicit
recode explicit_final (1.5=2) (2.5=3)
tab explicit_final
generate sec_final=sec_independence 
recode sec_final (2.5=3) (3.5=4) (4.5=5)
generate sec_final_2=sec_final-1
tab sec_final_2
generate uncertainty_final=uncertainty
recode uncertainty_final (1.5=2) (2.5=3) (3.5=4)
tab uncertainty_final
generate power_final=power_setting_symmetry
recode power_final (1.5=2) (2.5=3) (3.5=4)
tab power_final
generate body_final=body_flex
recode body_final (1.5=2) (2.5=3)
tab body_final, g(body)
generate decision_final=decision_flex
recode decision_final (0.5=1) (1.5=2)
tab decision_final

*** Descriptives ***
sum depth_coop_3 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers public common_pool externalities publicXsize commonXsize extXsize
pwcorr soft_law_final explicit_final sec_final_2, sig
pwcorr depth_coop_3 soft_law_final explicit_final sec_final_2 body_flex membership_flex decision_final agenda_flex uncertainty power_setting_symmetry number_causers public common_pool externalities publicXsize commonXsize extXsize, sig
pwcorr body_flex decision_flex agenda_flex membership_flex, sig

*** Models (Baseline) ***
oprobit depth_coop_3 soft_law explicit sec_independence uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster(cluster1)
oprobit depth_coop_3 body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster(cluster1)
oprobit depth_coop_3 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster(cluster1)

*** Interaction Effects Significance ***
* Generation of New Size Variables *
generate number_causers_1=number_causers-1
generate number_causers_2=number_causers-2
generate number_causers_3=number_causers-3
generate number_causers_4=number_causers-4
generate number_causers_5=number_causers-5
generate number_causers_6=number_causers-6

* Generation of New CPR Interaction *
generate commonXnumber_1= common_pool* number_causers_1 
generate commonXnumber_2= common_pool* number_causers_2
generate commonXnumber_3= common_pool* number_causers_3
generate commonXnumber_4= common_pool* number_causers_4
generate commonXnumber_5= common_pool* number_causers_5
generate commonXnumber_6= common_pool* number_causers_6

* Generation of New Ext. Interaction *
generate externalXnumber_1= externalities* number_causers_1
generate externalXnumber_2= externalities* number_causers_2
generate externalXnumber_3= externalities* number_causers_3
generate externalXnumber_4= externalities* number_causers_4
generate externalXnumber_5= externalities* number_causers_5
generate externalXnumber_6= externalities* number_causers_6

* Generation of the New OProbit Estimates *
oprobit depth_coop_3 number_causers_1 common_pool externalities commonXnumber_1 externalXnumber_1 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
oprobit depth_coop_3 number_causers_2 common_pool externalities commonXnumber_2 externalXnumber_2 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
oprobit depth_coop_3 number_causers_3 common_pool externalities commonXnumber_3 externalXnumber_3 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
oprobit depth_coop_3 number_causers_4 common_pool externalities commonXnumber_4 externalXnumber_4 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
oprobit depth_coop_3 number_causers_5 common_pool externalities commonXnumber_5 externalXnumber_5 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
oprobit depth_coop_3 number_causers_6 common_pool externalities commonXnumber_6 externalXnumber_6 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)

*** Predicted Probabilities ***
* High Depth of Cooperation *
generate depth_coop_high= depth_coop_3
recode depth_coop_high (1=0) (2=0) (3=0) (4=1) (5=1)
probit depth_coop_high soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster(cluster1)
prchange
prgen soft_law, gen(soft) rest(mean) ci
prgen explicit, gen(explicit) rest(mean) ci
prgen sec_independence, gen(sec) rest(mean) ci
prgen body_flex, gen(body) rest(mean) ci
prgen decision_flex, gen(decision) rest(mean) ci
prgen agenda_flex, gen(agenda) rest(mean) ci
prgen membership_flex, gen(member) rest(mean) ci

twoway (line softp1 x, lcolor(black)) (line explicitp1 x, lcolor(black) lpattern(dash)) (line secp1 x,lcolor(black) lpattern(dash_dot)), legend(off)  ytitle(Probability of High Regime Perfromance) xtitle(Legalization)
twoway (line bodyp1 x, lcolor(black)) (line decisionp1 x, lcolor(black) lpattern(dash)) (line agendap1 x, lcolor(black) lpattern(dash_dot)) (line memberp1 x, lcolor(black) lpattern(dash_3dot)), legend(off) ytitle(Probability of High Regime Perfromance) xtitle(Flexibility)

* Low Depth of Cooperation *
generate depth_coop_low= depth_coop_3
recode depth_coop_low (1=1) (2=1) (3=0) (4=0) (5=0)
probit depth_coop_low soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster(cluster1)
prchange
prgen soft_law, gen(softl) rest(mean) ci
prgen explicit, gen(explicitl) rest(mean) ci
prgen sec_independence, gen(secl) rest(mean) ci
prgen body_flex, gen(bodyl) rest(mean) ci
prgen decision_flex, gen(decisionl) rest(mean) ci
prgen agenda_flex, gen(agendal) rest(mean) ci
prgen membership_flex, gen(memberl) rest(mean) ci

twoway (line softlp1 x, lcolor(black)) (line explicitlp1 x, lcolor(black) lpattern(dash)) (line seclp1 x,lcolor(black) lpattern(dash_dot)), legend(off)
twoway (line bodylp1 x, lcolor(black)) (line decisionlp1 x, lcolor(black) lpattern(dash)) (line agendalp1 x, lcolor(black) lpattern(dash_dot)) (line memberlp1 x, lcolor(black) lpattern(dash_3dot)), legend(off)


*** Robustness ***
bootstrap, reps(1000): oprobit depth_coop_3 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster (cluster1) level (90)
bootstrap, reps(1000): oprobit depth_coop_3 body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster (cluster1) level (90)
bootstrap, reps(1000): oprobit depth_coop_3 soft_law explicit sec_independence uncertainty power_setting_symmetry number_causers common_pool externalities commonXsize extXsize, cluster (cluster1) level (90)



